$ErrorActionPreference = 'Stop';

$packageName = 'SwissFileKnife'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.9.7.0/sfk197.exe/download'
$url64      = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.9.7.0/sfk197.exe/download'

$installerPackage = Join-Path $toolsDir "sfk.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = 'ba1a34bc4755c0ab13d4eb94a2b1eab7270b969ae65316b002335c0cea1a4ba7'
  checksumType  = 'sha256'
  checksum64    = 'ba1a34bc4755c0ab13d4eb94a2b1eab7270b969ae65316b002335c0cea1a4ba7'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
